XLS_CreateFile("Test.xls")

XLS_PrintGridLines(#False)

;XLS_SetFilePassword("PAUL_SQUIRES")

XLS_SetMargin(#XLS_TopMargin, 1.5) ; set to 1.5 inches
XLS_SetMargin(#XLS_LeftMargin, 1.5)
XLS_SetMargin(#XLS_RightMargin, 1.5)
XLS_SetMargin(#XLS_BottomMargin, 1.5)

XLS_SetFont("Arial",10,#XLS_NoFormat)
XLS_SetFont("Arial",10,#XLS_Bold)
XLS_SetFont("Arial",10,#XLS_Bold|#XLS_Underline)
XLS_SetFont("Arial",18,#XLS_Italic)

XLS_SetColumnWidth(0,0,50)

XLS_SetDefaultRowHeight(16)

XLS_SetRowHeight(0,24)
XLS_SetRowHeight(1,24)

XLS_SetHeader("This is the header")
XLS_SetFooter("This is the footer")

XLS_WriteInteger(20,5,0,#XLS_Font0,#XLS_LeftAlign,#XLS_CellNormal,0)

XLS_WriteNumber(12123.456,6,0,#XLS_Font1,#XLS_RightAlign|#XLS_BottomBorder|#XLS_Shaded,#XLS_CellNormal,0)

XLS_WriteText("This is a test string",7,0,#XLS_Font2,#XLS_LeftAlign,#XLS_CellNormal,0)

XLS_WriteText("This cell is locked.",8,0,#XLS_Font3,#XLS_LeftAlign,#XLS_CellLocked,0)

XLS_WriteText("F",9,0,#XLS_Font3,#XLS_FillCell,#XLS_CellNormal,0)

XLS_WriteText("If this were a formula it would be hidden!",10,0,#XLS_Font0,#XLS_CentreAlign,#XLS_CellHidden,0)

pbdateformat$="%dd.%mm.%yyyy %hh:%ii:%ss"

Date$=FormatDate(pbdateformat$,Date())
XLS_WriteDate(Date$,pbdateformat$,14,0,#XLS_Font1,#XLS_LeftAlign,#XLS_CellNormal,20)

Date$="12.10.1998 19:10:45"
XLS_WriteDate(Date$,pbdateformat$,15,0,#XLS_Font1,#XLS_LeftAlign,#XLS_CellNormal,20)

Date$="24.12.2000 12:00:00"
XLS_WriteDate(Date$,pbdateformat$,16,0,#XLS_Font1,#XLS_LeftAlign,#XLS_CellNormal,20)

Date$="04.04.2001 13:00:00"
XLS_WriteDate(Date$,pbdateformat$,17,0,#XLS_Font1,#XLS_LeftAlign,#XLS_CellNormal,20)

Date$="01.01.2006 23:59:59"
XLS_WriteDate(Date$,pbdateformat$,19,0,#XLS_Font1,#XLS_LeftAlign,#XLS_CellNormal,20)

XLS_InsertHorizPageBreak(19)

NumRows=50000
For x=1 To NumRows
  XLS_WriteNumber(x,20+x-1,0,#XLS_Font1,#XLS_LeftAlign,#XLS_CellNormal,0)
Next

XLS_ProtectSpreadsheet(#True)

XLS_CloseFile()
; IDE Options = PureBasic v4.00 (Windows - x86)
; Folding = -